Bug 83040 - [PATCH]: security/libtomcrypt
Summary: [PATCH]: security/libtomcrypt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-06 01:40 UTC by Wesley Shields
Modified: 2005-08-29 15:58 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.69 KB, patch)
2005-07-06 01:40 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2005-07-06 01:40:17 UTC
security/libtomcrypt is up to 1.05 now.  The attached patch will update the port.  The maintainer has been CC'ed.

How-To-Repeat: N/A
Comment 1 Pav Lucistnik freebsd_committer 2005-07-06 17:42:34 UTC
Dear maintainer of FreeBSD port security/libtomcrypt, please take a look
at

http://www.freebsd.org/cgi/query-pr.cgi?q=83040

Do you approve this update?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Bento's Law: If It Can Break, It Will Break
Bento's Corollary: If It Can Break, Kris Can Send Mail About It
Comment 2 Pav Lucistnik freebsd_committer 2005-07-06 17:42:36 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 Pav Lucistnik freebsd_committer 2005-07-06 17:42:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Pav Lucistnik freebsd_committer 2005-07-13 17:33:32 UTC
State Changed
From-To: feedback->suspended

Suspend until review by maintainer happens
Comment 5 Jonathan 2005-08-17 11:12:41 UTC
Let's update to 1.06 instead of 1.05.
Thank you for your work on this, Wesley.
Comitter, please commit this.

diff -urN libtomcrypt.orig/Makefile libtomcrypt/Makefile
--- libtomcrypt.orig/Makefile	Sun May 22 19:43:56 2005
+++ libtomcrypt/Makefile	Wed Aug 17 12:04:35 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libtomcrypt
-PORTVERSION=	1.02
+PORTVERSION=	1.06
 CATEGORIES=	security
 MASTER_SITES=	http://libtomcrypt.org/files/
 DISTNAME=	crypt-${PORTVERSION}
@@ -16,6 +16,8 @@
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 MAKEFILE=	makefile
+MAKE_ARGS=	DESTDIR="${PREFIX}" LIBPATH="/lib" INCPATH="/include" \
+		DATAPATH="/share/doc/libtomcrypt/pdf"
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_REINPLACE=	yes
@@ -27,6 +29,7 @@
 
 .if defined(WITH_DOCS)
 BUILD_DEPENDS+=	latex:${PORTSDIR}/print/teTeX
+INSTALL_TARGET=	install_withoutdocs
 .else
 NOPORTDOCS=	yes
 INSTALL_TARGET=	install_lib
@@ -34,14 +37,14 @@
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|/usr|${PREFIX}|; s|dvipdf|dvipdft|; \
+		's|dvipdf|dvipdft|; \
 		 s|-O3||; s|-funroll-loops||; s|-fomit-frame-pointer||; \
 		 s|-Wno-unused-parameter||' \
 		${WRKSRC}/makefile
 
 .if defined(MAINTAINER_MODE)
 test:	build
-	(cd ${WRKSRC}/demos/test && ${MAKE} test ${MAKE_ARGS} && ${WRKSRC}/demos/test/test)
+	(cd ${WRKSRC} && ${GMAKE} test && ${WRKSRC}/test)
 .endif
 
 .include <bsd.port.post.mk>
diff -urN libtomcrypt.orig/distinfo libtomcrypt/distinfo
--- libtomcrypt.orig/distinfo	Sun May 22 19:43:56 2005
+++ libtomcrypt/distinfo	Wed Aug 17 11:38:45 2005
@@ -1,2 +1,2 @@
-MD5 (crypt-1.02.tar.bz2) = f571fb2f984ec59d229a7f691c35b4d1
-SIZE (crypt-1.02.tar.bz2) = 1025539
+MD5 (crypt-1.06.tar.bz2) = f7b5fd2a5d4b2917576da7885f27e4a0
+SIZE (crypt-1.06.tar.bz2) = 1160330
diff -urN libtomcrypt.orig/files/patch-makefile libtomcrypt/files/patch-makefile
--- libtomcrypt.orig/files/patch-makefile	Thu Jan  1 02:00:00 1970
+++ libtomcrypt/files/patch-makefile	Wed Aug 17 11:57:34 2005
@@ -0,0 +1,32 @@
+--- makefile.orig	Wed Aug 17 11:42:30 2005
++++ makefile	Wed Aug 17 11:56:34 2005
+@@ -24,7 +24,7 @@
+ ifndef IGNORE_SPEED
+ 
+ # optimize for SPEED
+-CFLAGS += -O3 -funroll-loops
++# CFLAGS += -O3 -funroll-loops 		# -O3 might break on FreeBSD
+ 
+ # add -fomit-frame-pointer.  hinders debugging!
+ CFLAGS += -fomit-frame-pointer
+@@ -246,12 +246,17 @@
+ #This rule installs the library and the header files. This must be run
+ #as root in order to have a high enough permission to write to the correct
+ #directories and to set the owner and group to root.
+-install: library docs
++install_lib: library 
++	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
++	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
++
++
++install_withdocs: library
++	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
++	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
+ 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(LIBPATH)
+ 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(INCPATH)
+ 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(DATAPATH)
+-	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
+-	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
+ 	install -g $(GROUP) -o $(USER) doc/crypt.pdf $(DESTDIR)$(DATAPATH)
+ 
+ install_test: $(LIBTEST)
diff -urN libtomcrypt.orig/pkg-plist libtomcrypt/pkg-plist
--- libtomcrypt.orig/pkg-plist	Sun May 22 19:43:56 2005
+++ libtomcrypt/pkg-plist	Wed Aug 17 12:12:04 2005
@@ -1,4 +1,3 @@
-include/ltc_tommath.h
 include/tomcrypt.h
 include/tomcrypt_argchk.h
 include/tomcrypt_cfg.h
@@ -7,13 +6,12 @@
 include/tomcrypt_hash.h
 include/tomcrypt_mac.h
 include/tomcrypt_macros.h
+include/tomcrypt_math.h
 include/tomcrypt_misc.h
 include/tomcrypt_pk.h
 include/tomcrypt_pkcs.h
 include/tomcrypt_prng.h
 include/tomcrypt_test.h
-include/tommath_class.h
-include/tommath_superclass.h
 lib/libtomcrypt.a
 %%PORTDOCS%%%%DOCSDIR%%/pdf/crypt.pdf
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/pdf
Comment 6 Pav Lucistnik freebsd_committer 2005-08-17 12:01:18 UTC
State Changed
From-To: suspended->feedback

Received new patch, asking maintainer for approval on it
Comment 7 Pav Lucistnik freebsd_committer 2005-08-17 12:02:16 UTC
Dear maintainer of FreeBSD port security/libtomcrypt, please take a look
at the 1.06 update patch (the last one) at

http://www.freebsd.org/cgi/query-pr.cgi?q=83040

Do you approve this update?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Traffic collapse starts at rumors of snow in Nice (french riviera)
according to some of my friends :)
  -- Will at #angband
Comment 8 Pav Lucistnik freebsd_committer 2005-08-17 12:06:01 UTC
State Changed
From-To: feedback->open

Approval received, will be handled after the freeze
Comment 9 Wesley Shields 2005-08-17 13:07:49 UTC
Thanks, I had an update to 1.06 in the works but was having some
problems getting the tests to build properly.  :)

1.06 is the first version to support pluggable modules.  You can build
it with support for LibTomMath (LTM), TomsFastMath (TFM), or both.  I
don't see your update taking this into account.  I will hurry up and
submit LTM and TFM today and then one of us can submit an updated patch
to build it with both[1]?

-- WXS

[1]: http://www.libtomcrypt.org/faq.txt

On Wed, Aug 17, 2005 at 01:12:41PM +0300, Afarsec wrote:
> Let's update to 1.06 instead of 1.05.
> Thank you for your work on this, Wesley.
> Comitter, please commit this.
> 
> diff -urN libtomcrypt.orig/Makefile libtomcrypt/Makefile
> --- libtomcrypt.orig/Makefile	Sun May 22 19:43:56 2005
> +++ libtomcrypt/Makefile	Wed Aug 17 12:04:35 2005
> @@ -6,7 +6,7 @@
>  #
>  
>  PORTNAME=	libtomcrypt
> -PORTVERSION=	1.02
> +PORTVERSION=	1.06
>  CATEGORIES=	security
>  MASTER_SITES=	http://libtomcrypt.org/files/
>  DISTNAME=	crypt-${PORTVERSION}
> @@ -16,6 +16,8 @@
>  
>  WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
>  MAKEFILE=	makefile
> +MAKE_ARGS=	DESTDIR="${PREFIX}" LIBPATH="/lib" INCPATH="/include" \
> +		DATAPATH="/share/doc/libtomcrypt/pdf"
>  USE_BZIP2=	yes
>  USE_GMAKE=	yes
>  USE_REINPLACE=	yes
> @@ -27,6 +29,7 @@
>  
>  .if defined(WITH_DOCS)
>  BUILD_DEPENDS+=	latex:${PORTSDIR}/print/teTeX
> +INSTALL_TARGET=	install_withoutdocs
>  .else
>  NOPORTDOCS=	yes
>  INSTALL_TARGET=	install_lib
> @@ -34,14 +37,14 @@
>  
>  post-patch:
>  	@${REINPLACE_CMD} -e \
> -		's|/usr|${PREFIX}|; s|dvipdf|dvipdft|; \
> +		's|dvipdf|dvipdft|; \
>  		 s|-O3||; s|-funroll-loops||; s|-fomit-frame-pointer||; \
>  		 s|-Wno-unused-parameter||' \
>  		${WRKSRC}/makefile
>  
>  .if defined(MAINTAINER_MODE)
>  test:	build
> -	(cd ${WRKSRC}/demos/test && ${MAKE} test ${MAKE_ARGS} && ${WRKSRC}/demos/test/test)
> +	(cd ${WRKSRC} && ${GMAKE} test && ${WRKSRC}/test)
>  .endif
>  
>  .include <bsd.port.post.mk>
> diff -urN libtomcrypt.orig/distinfo libtomcrypt/distinfo
> --- libtomcrypt.orig/distinfo	Sun May 22 19:43:56 2005
> +++ libtomcrypt/distinfo	Wed Aug 17 11:38:45 2005
> @@ -1,2 +1,2 @@
> -MD5 (crypt-1.02.tar.bz2) = f571fb2f984ec59d229a7f691c35b4d1
> -SIZE (crypt-1.02.tar.bz2) = 1025539
> +MD5 (crypt-1.06.tar.bz2) = f7b5fd2a5d4b2917576da7885f27e4a0
> +SIZE (crypt-1.06.tar.bz2) = 1160330
> diff -urN libtomcrypt.orig/files/patch-makefile libtomcrypt/files/patch-makefile
> --- libtomcrypt.orig/files/patch-makefile	Thu Jan  1 02:00:00 1970
> +++ libtomcrypt/files/patch-makefile	Wed Aug 17 11:57:34 2005
> @@ -0,0 +1,32 @@
> +--- makefile.orig	Wed Aug 17 11:42:30 2005
> ++++ makefile	Wed Aug 17 11:56:34 2005
> +@@ -24,7 +24,7 @@
> + ifndef IGNORE_SPEED
> + 
> + # optimize for SPEED
> +-CFLAGS += -O3 -funroll-loops
> ++# CFLAGS += -O3 -funroll-loops 		# -O3 might break on FreeBSD
> + 
> + # add -fomit-frame-pointer.  hinders debugging!
> + CFLAGS += -fomit-frame-pointer
> +@@ -246,12 +246,17 @@
> + #This rule installs the library and the header files. This must be run
> + #as root in order to have a high enough permission to write to the correct
> + #directories and to set the owner and group to root.
> +-install: library docs
> ++install_lib: library 
> ++	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
> ++	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
> ++
> ++
> ++install_withdocs: library
> ++	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
> ++	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
> + 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(LIBPATH)
> + 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(INCPATH)
> + 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(DATAPATH)
> +-	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
> +-	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
> + 	install -g $(GROUP) -o $(USER) doc/crypt.pdf $(DESTDIR)$(DATAPATH)
> + 
> + install_test: $(LIBTEST)
> diff -urN libtomcrypt.orig/pkg-plist libtomcrypt/pkg-plist
> --- libtomcrypt.orig/pkg-plist	Sun May 22 19:43:56 2005
> +++ libtomcrypt/pkg-plist	Wed Aug 17 12:12:04 2005
> @@ -1,4 +1,3 @@
> -include/ltc_tommath.h
>  include/tomcrypt.h
>  include/tomcrypt_argchk.h
>  include/tomcrypt_cfg.h
> @@ -7,13 +6,12 @@
>  include/tomcrypt_hash.h
>  include/tomcrypt_mac.h
>  include/tomcrypt_macros.h
> +include/tomcrypt_math.h
>  include/tomcrypt_misc.h
>  include/tomcrypt_pk.h
>  include/tomcrypt_pkcs.h
>  include/tomcrypt_prng.h
>  include/tomcrypt_test.h
> -include/tommath_class.h
> -include/tommath_superclass.h
>  lib/libtomcrypt.a
>  %%PORTDOCS%%%%DOCSDIR%%/pdf/crypt.pdf
>  %%PORTDOCS%%@dirrm %%DOCSDIR%%/pdf
Comment 10 Wesley Shields 2005-08-19 02:55:44 UTC
Pav,

Here is the updated patch to bring libtomcrypt up to 1.06.  Jonathan has
mailed you already letting you know to about this, and that he has
offered maintainership of this port to me.

Thanks for your help on this Jonathan.

Also, ports/85043 and ports/85044 both need to be committed with this
update as they are optional dependencies for libtomcrypt now.

-- WXS

diff -ruN libtomcrypt.orig/Makefile libtomcrypt/Makefile
--- libtomcrypt.orig/Makefile	Thu Aug 18 09:17:55 2005
+++ libtomcrypt/Makefile	Thu Aug 18 14:06:03 2005
@@ -6,25 +6,48 @@
 #
 
 PORTNAME=	libtomcrypt
-PORTVERSION=	1.02
+PORTVERSION=	1.06
 CATEGORIES=	security
 MASTER_SITES=	http://libtomcrypt.org/files/
 DISTNAME=	crypt-${PORTVERSION}
 
-MAINTAINER=	onatan@gmail.com
+PATCH_SITES=	http://www.libtomcrypt.org/files/patch-1.06/
+PATCHFILES=	makefile.diff
+
+MAINTAINER=	wxs@csh.rit.edu
 COMMENT=	Comprehensive, modular and portable cryptographic toolkit
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 MAKEFILE=	makefile
+MAKE_ARGS=	DESTDIR="${PREFIX}" LIBPATH="/lib" INCPATH="/include" \
+		DATAPATH="${DOCSDIR}/pdf"
 USE_BZIP2=	yes
 USE_GMAKE=	yes
 USE_REINPLACE=	yes
 ALL_TARGET=	library
 
-OPTIONS=	DOCS "build documentation (depends on teTeX)" off
+CFLAGS+=	-I${PREFIX}/include
+
+OPTIONS=	DOCS "build documentation (depends on teTeX)" off \
+		LIBTOMMATH "Use LibTomMath" on \
+		TOMSFASTMATH "Use TomsFastMath" off
 
 .include <bsd.port.pre.mk>
 
+.if defined(WITHOUT_LIBTOMMATH) && defined(WITHOUT_TOMSFASTMATH)
+IGNORE=	You must choose either LibTomMath or TomsFastMath (or both)
+.endif
+
+.if defined(WITH_LIBTOMMATH)
+BUILD_DEPENDS+=	${LOCALBASE}/include/tommath.h:${PORTSDIR}/math/libtommath
+CFLAGS+=	-DLTM_DESC
+.endif
+
+.if defined(WITH_TOMSFASTMATH)
+BUILD_DEPENDS+=	${LOCALBASE}/include/tfm.h:${PORTSDIR}/math/tomsfastmath
+CFLAGS+=	-DTFM_DESC
+.endif
+
 .if defined(WITH_DOCS)
 BUILD_DEPENDS+=	latex:${PORTSDIR}/print/teTeX
 .else
@@ -32,16 +55,9 @@
 INSTALL_TARGET=	install_lib
 .endif
 
-post-patch:
-	@${REINPLACE_CMD} -e \
-		's|/usr|${PREFIX}|; s|dvipdf|dvipdft|; \
-		 s|-O3||; s|-funroll-loops||; s|-fomit-frame-pointer||; \
-		 s|-Wno-unused-parameter||' \
-		${WRKSRC}/makefile
-
 .if defined(MAINTAINER_MODE)
 test:	build
-	(cd ${WRKSRC}/demos/test && ${MAKE} test ${MAKE_ARGS} && ${WRKSRC}/demos/test/test)
+	(cd ${WRKSRC} && ${GMAKE} test && ${WRKSRC}/test)
 .endif
 
 .include <bsd.port.post.mk>
diff -ruN libtomcrypt.orig/distinfo libtomcrypt/distinfo
--- libtomcrypt.orig/distinfo	Thu Aug 18 09:17:55 2005
+++ libtomcrypt/distinfo	Thu Aug 18 09:20:40 2005
@@ -1,2 +1,4 @@
-MD5 (crypt-1.02.tar.bz2) = f571fb2f984ec59d229a7f691c35b4d1
-SIZE (crypt-1.02.tar.bz2) = 1025539
+MD5 (crypt-1.06.tar.bz2) = f7b5fd2a5d4b2917576da7885f27e4a0
+SIZE (crypt-1.06.tar.bz2) = 1160330
+MD5 (makefile.diff) = 76b18782400494589c35e12e6cdd081d
+SIZE (makefile.diff) = 1372
diff -ruN libtomcrypt.orig/files/patch-makefile libtomcrypt/files/patch-makefile
--- libtomcrypt.orig/files/patch-makefile	Wed Dec 31 19:00:00 1969
+++ libtomcrypt/files/patch-makefile	Thu Aug 18 13:10:25 2005
@@ -0,0 +1,52 @@
+--- makefile.orig	Thu Aug 18 13:07:13 2005
++++ makefile	Thu Aug 18 13:10:14 2005
+@@ -15,7 +15,7 @@
+ #ARFLAGS=r
+ 
+ # Compilation flags. Note the += does not write over the user's CFLAGS!
+-CFLAGS += -c -I./testprof/ -I./src/headers/ -Wall -Wsign-compare -W -Wshadow -Wno-unused-parameter -DLTC_SOURCE
++CFLAGS += -c -I./testprof/ -I./src/headers/ -Wall -Wsign-compare -W -Wshadow -DLTC_SOURCE
+ 
+ # additional warnings (newer GCC 3.4 and higher)
+ #CFLAGS += -Wsystem-headers -Wdeclaration-after-statement -Wbad-function-cast -Wcast-align -Wstrict-prototypes -Wmissing-prototypes \
+@@ -24,10 +24,10 @@
+ ifndef IGNORE_SPEED
+ 
+ # optimize for SPEED
+-CFLAGS += -O3 -funroll-loops
++#CFLAGS += -O3 -funroll-loops
+ 
+ # add -fomit-frame-pointer.  hinders debugging!
+-CFLAGS += -fomit-frame-pointer
++#CFLAGS += -fomit-frame-pointer
+ 
+ # optimize for SIZE
+ #CFLAGS += -Os -DLTC_SMALL_CODE
+@@ -249,10 +249,16 @@
+ install: library docs
+ 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(LIBPATH)
+ 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(INCPATH)
+-	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(DATAPATH)
++	install -d -g $(GROUP) -o $(USER) $(DATAPATH)
++	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
++	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
++	install -g $(GROUP) -o $(USER) doc/crypt.pdf $(DATAPATH)
++
++install_lib: library
++	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(LIBPATH)
++	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(INCPATH)
+ 	install -g $(GROUP) -o $(USER) $(LIBNAME) $(DESTDIR)$(LIBPATH)
+ 	install -g $(GROUP) -o $(USER) $(HEADERS) $(DESTDIR)$(INCPATH)
+-	install -g $(GROUP) -o $(USER) doc/crypt.pdf $(DESTDIR)$(DATAPATH)
+ 
+ install_test: testprof/$(LIBTEST)
+ 	install -d -g $(GROUP) -o $(USER) $(DESTDIR)$(LIBPATH)
+@@ -305,7 +311,7 @@
+ 	latex crypt > /dev/null
+ 	makeindex crypt.idx > /dev/null
+ 	latex crypt > /dev/null
+-	dvipdf crypt
++	dvipdft crypt
+ 	mv -ivf crypt.pdf doc/crypt.pdf
+ 	rm -f $(LEFTOVERS)
+ 
diff -ruN libtomcrypt.orig/pkg-plist libtomcrypt/pkg-plist
--- libtomcrypt.orig/pkg-plist	Thu Aug 18 09:17:55 2005
+++ libtomcrypt/pkg-plist	Thu Aug 18 09:20:40 2005
@@ -1,4 +1,3 @@
-include/ltc_tommath.h
 include/tomcrypt.h
 include/tomcrypt_argchk.h
 include/tomcrypt_cfg.h
@@ -7,13 +6,12 @@
 include/tomcrypt_hash.h
 include/tomcrypt_mac.h
 include/tomcrypt_macros.h
+include/tomcrypt_math.h
 include/tomcrypt_misc.h
 include/tomcrypt_pk.h
 include/tomcrypt_pkcs.h
 include/tomcrypt_prng.h
 include/tomcrypt_test.h
-include/tommath_class.h
-include/tommath_superclass.h
 lib/libtomcrypt.a
 %%PORTDOCS%%%%DOCSDIR%%/pdf/crypt.pdf
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/pdf
Comment 11 Pav Lucistnik freebsd_committer 2005-08-29 15:58:30 UTC
State Changed
From-To: open->closed

Latest patch from this PR committed, thank you!